GNU bug report logs - #54507
[PATCH 1/2] gnu: openfst: Add 1.7.3 for kaldi

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Aurora <rind38@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54507-done <at> debbugs.gnu.org:


Received: (at 54507-done) by debbugs.gnu.org; 15 May 2022 20:31:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 16:31:06 2022
Received: from localhost ([127.0.0.1]:50857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqKtO-0003DN-5x
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 16:31:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nqKtM-0003CR-EX
 for 54507-done <at> debbugs.gnu.org; Sun, 15 May 2022 16:31:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54356)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nqKtH-0007bK-6t; Sun, 15 May 2022 16:30:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=VL/8pST4cBT/HIHsUtO3f949kF/ncDBSqh0AvvJvdKw=; b=AtynMI9a3JGjPa2HqeXu
 isL8R9VfzOgbBWE87o3ENkF6aP2c69MMOSP4DTagmItSrI9p3IUArKQdF+XblcKloUm92uSUFB3Gp
 GFyIA52MELk/a5mXdUhnDbJOJN2nCvllGDpl5wenamku18JC/D//P/ett0ngIPB3M3UHMLk6CeaQe
 NDAFd6LBh+xpTIeqRFtB1JeWWSXbCGhmj2RnuZkgEahSEnUkFgAY94ndn82uLKmWAXdtYmexG9t3X
 AKFIAw4Wax/B2pIvjuX0OgscJmrhN1CrVFKNFapk3uRKbBaybS25WN4daDSPVtPb/098lvVDo6Xsk
 IIGEUeUBDW/OEg==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64831
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nqKtG-0003I4-QN; Sun, 15 May 2022 16:30:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Aurora <rind38@HIDDEN>
Subject: Re: bug#54507: [PATCH 1/2] gnu: openfst: Add 1.7.3 for kaldi
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
Date: Sun, 15 May 2022 22:30:55 +0200
In-Reply-To: <20220324195933.2129-1-rind38@HIDDEN> (Aurora's message of
 "Thu, 24 Mar 2022 19:59:30 +0000")
Message-ID: <87sfpaczcw.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54507-done
Cc: 54507-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Aurora <rind38@HIDDEN> skribis:

>   gnu: openfst: Add 1.7.3 for kaldi
>   gnu: kaldi: Update to dd107fd, bypass tests
>   gnu: openfst-1.7.3: Enable ngram-fst extension & C++14 build

Applied to =E2=80=98staging=E2=80=99 as well, thanks!




Notification sent to Aurora <rind38@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 4 Apr 2022 00:56:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 20:56:45 2022
Received: from localhost ([127.0.0.1]:49868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nbB1R-00037g-FN
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 20:56:45 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nbB1P-00037V-9M
 for 54507 <at> debbugs.gnu.org; Sun, 03 Apr 2022 20:56:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 57144406E0;
 Mon,  4 Apr 2022 02:56:41 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wRSq3wqUuro0; Mon,  4 Apr 2022 02:56:40 +0200 (CEST)
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
 <20220324195933.2129-4-rind38@HIDDEN> <874k3ni0ge.fsf@disp3269>
 <87pmlxhicj.fsf@disp3269>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1649033800; bh=yxLq3OCqHmBq70CHTj2pYV/0b4AtAk905fr0C4WSiBQ=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=Rpdsqrh1qpMbmYkAxy0elBabqIhwODGlKZDm/Lq4Ju/w+oti64r4pnqg5a0GlYZzI
 Fxht4JsQJBDK/K6WwHVtOjflqtPacWaIZNgriFt9Gd0kS8h1DBHoQnJzZ1Jh7LYlMG
 Nc01+k7qgNJcVHLSq7K2BePxpeiHoBaZwOsnex0fLnOKgMjf85T7AuY4npU26EdX2c
 jQ45ekMvA7jbpI6Oq4/iHMybZjJHOWVE2IVjguOVCxKGZCvKnsYNwjoYyzRKB0XAGj
 4P7h2P7kcZ8n7ToJ1Zr2IUKVpW8gi69dToIt0ErLFHQirGRW6aSWlTSOmzuRCKZIue
 I7eZMXlIwU9bw==
From: Aurora <rind38@HIDDEN>
To: 54507 <at> debbugs.gnu.org
Subject: Re: [PATCH v3 3/3] gnu: openfst-1.7.3: Enable ngram-fst extension &
 C++14 build
In-reply-to: <87pmlxhicj.fsf@disp3269>
Date: Sun, 03 Apr 2022 20:56:35 -0400
Message-ID: <87y20lsm2k.fsf@disp3269>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Aurora <rind38@HIDDEN> writes:

> Aurora <rind38@HIDDEN> writes:
>
>> I just finished building this again, just to make sure.
>>
>> I also added that cover letter to summarize just what the changes and
>> rationales behind them were.
>
> Bumping for issue activity. It build successfully.

Review by a friendly #guix user pointed out the commit messages,
revision number and inline explanations need some work.




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 3 Apr 2022 23:12:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 19:12:38 2022
Received: from localhost ([127.0.0.1]:49776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nb9Og-0000VQ-7J
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 19:12:38 -0400
Received: from knopi.disroot.org ([178.21.23.139]:43138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nb9Od-0000VG-QX
 for 54507 <at> debbugs.gnu.org; Sun, 03 Apr 2022 19:12:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 34A86406C5;
 Mon,  4 Apr 2022 01:12:34 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TuMkE0xlu2qP; Mon,  4 Apr 2022 01:12:33 +0200 (CEST)
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
 <20220324195933.2129-4-rind38@HIDDEN> <874k3ni0ge.fsf@disp3269>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1649027551; bh=wVS0F61zHyyzocKyl/p1aPow6ZjiCgR52XfOuraR3QE=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=GR1uYVN7r/WB2zEqpcLmuURR+HINCJifpPCZ9QJoTqSxxmBG9xJ0y87YgJ0fByqeT
 KT+lazH5iB0QBk6coup5dM6ux7VkXRlVcf4RQr5CEzprhok5Aw+lyfcURd1Q/FYv/E
 UbWu7el44SGlvbIt1cuIaauI/sB19jLoEX6cWYL5Jq8altbbMjo9ljqEfrB9amPO4T
 ZEXc7nt2h23Vxh4VAo/rTuXVa9zf7g4UUbH1hrRHkndLGhfwasVbN02NKpGpR1USYc
 pBjJHY52YcyYkN7AWuFGmI7ylWNg4UiWo8nsGo6TnGIQcPy++DveeUnYE8VClkkQ9V
 CxBBuj7pWaOdQ==
From: Aurora <rind38@HIDDEN>
To: 54507 <at> debbugs.gnu.org
Subject: Re: [PATCH v3 3/3] gnu: openfst-1.7.3: Enable ngram-fst extension &
 C++14 build
In-reply-to: <874k3ni0ge.fsf@disp3269>
Date: Sun, 03 Apr 2022 19:12:28 -0400
Message-ID: <87pmlxhicj.fsf@disp3269>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Aurora <rind38@HIDDEN> writes:

> I just finished building this again, just to make sure.
>
> I also added that cover letter to summarize just what the changes and
> rationales behind them were.

Bumping for issue activity. It build successfully.




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 20:02:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 16:02:05 2022
Received: from localhost ([127.0.0.1]:49476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXTen-00060u-Du
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 16:02:05 -0400
Received: from knopi.disroot.org ([178.21.23.139]:49082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXTel-00060m-Sa
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 16:02:04 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 32657401B9;
 Thu, 24 Mar 2022 21:02:03 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 6JlRqiMe1iv6; Thu, 24 Mar 2022 21:02:02 +0100 (CET)
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
 <20220324195933.2129-4-rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648152115; bh=ZucVa9DxzbYmxqSkeIPepjuYMUrde1c74aT5PEkxzbQ=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=Ek5TykNrOd0KVzew/06wm3mz7Hw5y0fqo8R+H/n1G8FSKGKzDz9H0Dfu6NEzWQSoh
 vbiHgteWG2Wwoh8mH8wzygGLWvUdaU1oO/X2I9009Yxz94vaTw8KlRFCUgE1xWWVgf
 HtTNmSEd8lnvkGTgbOVvc8iSeSRuB+KxhXr6RB8USTOeP2slK6e9HlNaCWg+iSYz+c
 WwHPNkiTifi93o/yF2g1u1vHysA6Nr0QvmS9lEWfptO4lC1/5mQvqKYQS7FIK54L9B
 KHhT4WKB+i+z1jRsePOkQbF1y/Cn3ToWJ9roq8YWn0ewOOOfywi7rJoF4db1gHQ+w3
 iCyM/vzTKwOUQ==
From: Aurora <rind38@HIDDEN>
To: 54507 <at> debbugs.gnu.org
Subject: Re: [PATCH v3 3/3] gnu: openfst-1.7.3: Enable ngram-fst extension &
 C++14 build
In-reply-to: <20220324195933.2129-4-rind38@HIDDEN>
Date: Thu, 24 Mar 2022 16:01:53 -0400
Message-ID: <874k3ni0ge.fsf@disp3269>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I just finished building this again, just to make sure.

I also added that cover letter to summarize just what the changes and
rationales behind them were.




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 20:00:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 16:00:06 2022
Received: from localhost ([127.0.0.1]:49469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXTcn-0005vX-Ce
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 16:00:06 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXTcf-0005ux-3s
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:53 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5DEE84026F;
 Thu, 24 Mar 2022 20:59:52 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id KY58DJMi1-UH; Thu, 24 Mar 2022 20:59:51 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648151986; bh=8HZtzF2zHvkJi3A0WV0G4TAg5UXIzus7NxIFaMzE0TY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=Dik83LYFaNiVJW1ZodC4ZsCwh/+5kOgioMPG8HO1/LdG8sj/88jnihrkthT0pccws
 RYYM7RhW+pfnDKFz2YOujyIyTygjtOAMiKl0rWlVEcKO22mde/sb+gzunFalgZN70d
 b0qUcPFS7f0poSUMLUuy4QjccSiCOmzGNhIsrxb4EwuXa8/6HlaUgs91y/3X4N15iL
 ZDjipXegDicPDPuGAwyh55QF7WfxfoWgA6KMhDTb5H4AX+XIP98q9EHV+TRWmCdNb9
 yV8/e2qlvrtRYs8+AdYdx9tqI7sG/hrucir9LmREG0hxDGoWCR0OyptwlAf3EbTPQB
 Kxmls0uAXaO5Q==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v3 3/3] gnu: openfst-1.7.3: Enable ngram-fst extension & C++14
 build
Date: Thu, 24 Mar 2022 19:59:33 +0000
Message-Id: <20220324195933.2129-4-rind38@HIDDEN>
In-Reply-To: <20220324195933.2129-1-rind38@HIDDEN>
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The extension doesn't build in old versions of openfst such as 1.7.3 without
manually setting CXXFLAGS.

This package definition, including this workaround to build extensions
successfully, will need to be removed once kaldi is fixed upstream and can be
used with up-to-date versions of openfst.
---
 gnu/packages/machine-learning.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index ddc1392..d4a3604 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -596,7 +596,9 @@ optimizing, and searching weighted finite-state transducers (FSTs).")
                                   "FstDownload/openfst-" version ".tar.gz"))
               (sha256
                (base32
-                "038a60w7y8qnbxmcrsim9rafz9mihsny8xv50jpzlr7rl166pp5q"))))))
+                "038a60w7y8qnbxmcrsim9rafz9mihsny8xv50jpzlr7rl166pp5q"))))
+    (arguments '(#:configure-flags '("--enable-ngram-fsts" "CXXFLAGS=-std=c++14")
+                 #:make-flags '("CXXFLAGS=-std=c++14")))))
 
 (define-public shogun
   (package
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 20:00:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 16:00:01 2022
Received: from localhost ([127.0.0.1]:49466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXTce-0005uy-Qv
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 16:00:01 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXTcc-0005up-Sp
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 394D140280;
 Thu, 24 Mar 2022 20:59:50 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id Pgvs2dzoYT4D; Thu, 24 Mar 2022 20:59:48 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648151983; bh=5nVP53q6gVYezY+Cd4DNzTIpKde1WxbhQmeqOWDA0+U=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=N4UsQ87lrmAtFh6Vh+HM6plxmqw+p3J1pU2P+AAF4Usu32LM5n3bHyovPG4zpTYR4
 U9FVEx3HVm3iEOWNs2D7ckXwQmnjhd6HcZ76zk4EPECcp9lWE77gbp0Z2iF/lJ4TEn
 1a769/UhYNaYIQgGzpilo02Rv31UI/0ex+tQ6kkH2/ojUV+0UV6cKEKs/WvDuisR7l
 Vu69jotAzolx2jth6KGBJMiD79jWUD44w9s5+K18gyo14xEt+h38s+Sh0oB7EhK+y1
 qHqzuZv7Via6owCQZGZYB/Jc1gC4O+X2+nLI1WzuBofs0qAYB5mccxy7qFxYKjQLTN
 jmKsn/FNbkvHw==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v3 2/3] gnu: kaldi: Update to dd107fd, bypass tests
Date: Thu, 24 Mar 2022 19:59:32 +0000
Message-Id: <20220324195933.2129-3-rind38@HIDDEN>
In-Reply-To: <20220324195933.2129-1-rind38@HIDDEN>
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Either kaldi's tests are broken or openblas has reintroduced a bug:
- https://github.com/kaldi-asr/kaldi/pull/4421

More testing & fixes required upstream to re-enable the tests later. For now
they'll just have to be ignored.
---
 gnu/packages/machine-learning.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index ec70980..ddc1392 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1549,8 +1549,9 @@ discrete, and conditional dimensions.")
 
 ;; There have been no proper releases yet.
 (define-public kaldi
-  (let ((commit "d4791c0f3fc1a09c042dac365e120899ee2ad21e")
-        (revision "2"))
+  (let ((commit "dd107fd594ac58af962031c1689abfdc10f84452")
+        (revision "0")
+        (openfst openfst-1.7.3)) ;; Temporary bypass for upstream issues
     (package
       (name "kaldi")
       (version (git-version "0" revision commit))
@@ -1562,7 +1563,7 @@ discrete, and conditional dimensions.")
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "07k80my6f19mhrkwbzhjsnpf9871wmrwkl0ym468i830w67qyjrz"))))
+                  "0iqbzgn7gzmgwvjfzifpbwwidxx887qmlgmsjkg7b1yzyfv00l21"))))
       (build-system gnu-build-system)
       (arguments
        `(#:test-target "test"
@@ -1586,6 +1587,8 @@ discrete, and conditional dimensions.")
                               "gst-plugin/Makefile")
                  (("../../tools/portaudio/install")
                   (assoc-ref inputs "portaudio")))
+               (substitute* "matrix/Makefile" ;; temporary test bypass
+                            (("matrix-lib-test sparse-matrix-test") ""))
 
                ;; This `configure' script doesn't support variables passed as
                ;; arguments, nor does it support "prefix".
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 19:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 15:59:48 2022
Received: from localhost ([127.0.0.1]:49462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXTca-0005ug-JL
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:48 -0400
Received: from knopi.disroot.org ([178.21.23.139]:42978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXTcY-0005uY-Qx
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 181DD4027E;
 Thu, 24 Mar 2022 20:59:46 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id V_DPIx9fJoJx; Thu, 24 Mar 2022 20:59:44 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648151980; bh=0ME0fzs8CBvjMN9pvtMfBRrFEOYg7iIsBB3fzQwT1qw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=lv2eKEBjnPDUKdLS2npIHHuzMX+06jm6j08bWwsh+9yT/Zg+6G0F6v4RKtrTul0Xp
 JkkhtnO+1zD4vRNdc/pY2ClRI+tKcLKITP42bKalEqxKzUkFQkoUWm3z/CQlTSQjNy
 k/4S9fwnxTz/Ju4804fvNPhsQU0G8Tn9WQZJuklyyOHi/azcEp6QLRo4e56QMhL6NY
 Njedjx5fH4vBkdn1pWWFU/+KIPx96e6LYoc7qxXQBt0lmL/2PbV/IXLfxbuWGZLaHn
 B8DnRSZAE6MXv2zQFgWztyIQBLQdCoEKeqhL8XRlDEwVg/RpCi1HLRz7g2pjg8CTRm
 WBb2Ma4ej8KzQ==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v3 1/3] gnu: openfst: Add 1.7.3 for kaldi
Date: Thu, 24 Mar 2022 19:59:31 +0000
Message-Id: <20220324195933.2129-2-rind38@HIDDEN>
In-Reply-To: <20220324195933.2129-1-rind38@HIDDEN>
References: <877d8ji5tl.fsf@disp3269>
 <20220324195933.2129-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Kaldi is currently broken with openfst versions newer than 1.7.3 as it changed
some of its function signatures.

Once Kaldi is patched/fixed, this should be removed.

Reference Issues:
- https://github.com/kaldi-asr/kaldi/issues/4131
- https://github.com/kaldi-asr/kaldi/issues/4393
---
 gnu/packages/machine-learning.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index afac56f..ec70980 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -585,6 +585,19 @@ sample proximities between pairs of cases.")
 optimizing, and searching weighted finite-state transducers (FSTs).")
     (license license:asl2.0)))
 
+;; This is a temporary addition to bypass upstream issues with the kaldi
+;; package.
+(define-public openfst-1.7.3
+  (package (inherit openfst)
+    (version "1.7.3")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "http://www.openfst.org/twiki/pub/FST/"
+                                  "FstDownload/openfst-" version ".tar.gz"))
+              (sha256
+               (base32
+                "038a60w7y8qnbxmcrsim9rafz9mihsny8xv50jpzlr7rl166pp5q"))))))
+
 (define-public shogun
   (package
     (name "shogun")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 19:59:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 15:59:45 2022
Received: from localhost ([127.0.0.1]:49459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXTcX-0005uP-C9
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:45 -0400
Received: from knopi.disroot.org ([178.21.23.139]:41854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXTcV-0005uG-BH
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 15:59:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E8A9B40285;
 Thu, 24 Mar 2022 20:59:41 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id t6BiE2rCOVtV; Thu, 24 Mar 2022 20:59:40 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648151977; bh=SO8Yr+vCkD8csH9f5r8JDee1jwUALZ4yQ7iGVwmSQmE=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=OML2+6DzAdWj+ZZArOg7aEyHPuKe+YsxXp6lBSMdRNve7nUQQxOCrS2atmXhbUtdA
 H5p5z/+Np7Crk+O8s2TzwAuxKmPnLkrTMXDX5gFtRFSSxzLAjoNAscGpLjiOsRK60G
 4zIXH79F44vBNjaQHj4AJtvBfKFJVRROooKJj/oKxa8VFlRSZe7gzl1ZOUDmXWYnXi
 a4acvvVp8IfoQhNPODDo8BXiYBOxWT0GKZ9l/k/BAZMazPzUHTWJLdUW4ISLSL/cdQ
 X8qpDLWX2bcxChlU8x4B638WV2IfQVI8I+lQWAEUU8HmdvQbDOLNnky+4DxC2fkwN3
 ef7g53NYxsRHA==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v3 0/3] Add openfst 1.7.3 with extensions for kaldi
Date: Thu, 24 Mar 2022 19:59:30 +0000
Message-Id: <20220324195933.2129-1-rind38@HIDDEN>
In-Reply-To: <877d8ji5tl.fsf@disp3269>
References: <877d8ji5tl.fsf@disp3269>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This patchset adds a temporary openfst pin at version 1.7.3 in order to build
kaldi, as kaldi dependencies (namely openfst) have changed significantly in
the meantime and further fixes upstream are required in order to build with
newer versions.

Similarly, some of kaldi's tests are currently broken, which will also need
fixing upstream, for now they are disabled by this patchset.

This patchset also enables the building of an extension used by some other
programs dependent on openfst, although some of those have yet to be packaged.

Aurora (3):
  gnu: openfst: Add 1.7.3 for kaldi
  gnu: kaldi: Update to dd107fd, bypass tests
  gnu: openfst-1.7.3: Enable ngram-fst extension & C++14 build

 gnu/packages/machine-learning.scm | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)


base-commit: f76898be6ded531e459f106549886afbdc426a78
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 18:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 14:06:31 2022
Received: from localhost ([127.0.0.1]:49382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXRqx-000335-Bt
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 14:06:31 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nXRqt-00032v-Gz
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 14:06:29 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E4B6B400AE;
 Thu, 24 Mar 2022 19:06:25 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id slJXgeKSLoka; Thu, 24 Mar 2022 19:06:24 +0100 (CET)
References: <20220322205141.1784-1-rind38@HIDDEN>
 <20220322205141.1784-2-rind38@HIDDEN> <878rszd1ct.fsf_-_@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1648145165; bh=+oPTrgz94GGL9xJTeJI0ewQjaxNvV8GV4SvD0wfN8VY=;
 h=References:From:To:Cc:Subject:In-reply-to:Date;
 b=EIfjfV3fNh55cGTP04xQx1wWdSJjnhm5izgB12JZfq2J9/brCLArlAGwaQHWvOILe
 R2+mDhneJVibRLK1v364r2d4/+2HTv8w4bF8xVG7pN4cS+pxWMZyD/x7c9otNDiQMq
 I838/IcAGktBaAXjMt+98XUWVH3uCvWcdm0w+QCIQv6BMgICA7gFVARfxWHUw1gqqR
 tU96+O1Qea2iBVTlHGXxxOW0f14BBd9lPgFSca1oeK6+iQ6J0GXjqDgXJwkHVax5zL
 0juVSWmT3L/zIhMOapEOYfoNzam2qmxIplrkyQr6ZHQLB6j/ZsCbfYaaComDyWDj5z
 4iYehdH0FMiyg==
From: Aurora <rind38@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#54507: [PATCH 1/2] gnu: openfst: Add 1.7.3 for kaldi
In-reply-to: <878rszd1ct.fsf_-_@HIDDEN>
Date: Thu, 24 Mar 2022 14:05:58 -0400
Message-ID: <877d8ji5tl.fsf@disp3269>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: 54507 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

>> Either kaldi's tests are broken or openblas has reintroduced a bug:
>> - https://github.com/kaldi-asr/kaldi/pull/4421
>>
>> More testing & fixes required.
>
> Can this patch be applied as-is, or are you seeing that it needs more
> work?

I think it needs some more work




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 24 Mar 2022 11:41:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 07:41:31 2022
Received: from localhost ([127.0.0.1]:46957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXLqN-0000pD-Dp
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 07:41:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nXLqL-0000oy-KX
 for 54507 <at> debbugs.gnu.org; Thu, 24 Mar 2022 07:41:30 -0400
Received: from [2001:470:142:3::e] (port=54296 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nXLqG-0004Fk-6w; Thu, 24 Mar 2022 07:41:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=BOnO3zp6tayKjIgCx4DE9HGq5SMjlV/S3YelBQGnJsc=; b=MUG8J4a9lqpe6gzWwNvi
 9x04LlDlRK4az3ips/3zI9z+dzYKS8UJRpnjPPHwfXCnHzTP7eS46tpM5kDB1WoQzaQMUO1GS8z24
 s8OkwPKFlYvWBHJobHokGpTbICoP6JLlS7ql4IAjZzYZtpS78/YNXa4t+Id3EvuETR0sHSWfiH2gZ
 ql4AhqWxr+ikdx0CQpyYW5ud0MwexiJ+IOSd03henue13sCLwOhJaOf+Rk402Wcoygz9WPK1X10Iw
 6SexTHAQJtED/8qLKYUdlnM9cB6YLn+b7+zSJDTY/ACPqto3SJQkVi/rERuvGG+Zm0nHBqt0JajlV
 QKEnd8xio47Fzg==;
Received: from [193.50.110.177] (port=51506 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nXLqF-0007ik-L2; Thu, 24 Mar 2022 07:41:23 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Aurora <rind38@HIDDEN>
Subject: Re: bug#54507: [PATCH 1/2] gnu: openfst: Add 1.7.3 for kaldi
References: <20220322205141.1784-1-rind38@HIDDEN>
 <20220322205141.1784-2-rind38@HIDDEN>
Date: Thu, 24 Mar 2022 12:41:22 +0100
In-Reply-To: <20220322205141.1784-2-rind38@HIDDEN> (Aurora's message of
 "Tue, 22 Mar 2022 20:51:41 +0000")
Message-ID: <878rszd1ct.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54507
Cc: 54507 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Aurora <rind38@HIDDEN> skribis:

> Either kaldi's tests are broken or openblas has reintroduced a bug:
> - https://github.com/kaldi-asr/kaldi/pull/4421
>
> More testing & fixes required.

Can this patch be applied as-is, or are you seeing that it needs more
work?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 22 Mar 2022 20:51:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:51:53 2022
Received: from localhost ([127.0.0.1]:41982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlTt-0002Wi-Mg
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:51:53 -0400
Received: from knopi.disroot.org ([178.21.23.139]:59770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nWlTr-0002WR-BQ
 for 54507 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:51:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AEC66400D7;
 Tue, 22 Mar 2022 21:51:50 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DYqwxRbdKFb5; Tue, 22 Mar 2022 21:51:49 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647982308; bh=c7vOWiz6w1FImts8wXhfPlUiaHChejmzhxqz1gCnLd0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References;
 b=ggdJqth5HzurR/FZYaty/OPtnXiU/MjVKvbsjwUUy3te3wjTFO2eZnc594c1F7txr
 dnDnrObcHjWcPerVlkgeyg8YbQgMDOheRqBCyCfm6tVTYcpYJ05w5lrHZWLC6Ge0Gn
 7HxO9Bv4/6Bp0iCgA2cjRqSSCYgO3j5c0x/MtbZBKoPHu9Mq7VDSetZAdkTgQqSJM4
 oDrHkdi/raAhk7SVAUAaWLwMROaTYOnjVwDqxV+e2i1TCehtNVuiIlYaHXtNlhfc+Z
 qcOHkQ6+eBC5tjBXrd21qgUmxSq4Lj0hJwVg34XFAeuzVzog4DUt9oO1FxLpUZZ/kq
 vLvonCLc50xZg==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v2 2/2] gnu: kaldi: Update to dd107fd, bypass tests
Date: Tue, 22 Mar 2022 20:51:41 +0000
Message-Id: <20220322205141.1784-2-rind38@HIDDEN>
In-Reply-To: <20220322205141.1784-1-rind38@HIDDEN>
References: <20220322205141.1784-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Either kaldi's tests are broken or openblas has reintroduced a bug:
- https://github.com/kaldi-asr/kaldi/pull/4421

More testing & fixes required.
---
 gnu/packages/machine-learning.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index ec70980..ddc1392 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1549,8 +1549,9 @@ discrete, and conditional dimensions.")
 
 ;; There have been no proper releases yet.
 (define-public kaldi
-  (let ((commit "d4791c0f3fc1a09c042dac365e120899ee2ad21e")
-        (revision "2"))
+  (let ((commit "dd107fd594ac58af962031c1689abfdc10f84452")
+        (revision "0")
+        (openfst openfst-1.7.3)) ;; Temporary bypass for upstream issues
     (package
       (name "kaldi")
       (version (git-version "0" revision commit))
@@ -1562,7 +1563,7 @@ discrete, and conditional dimensions.")
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "07k80my6f19mhrkwbzhjsnpf9871wmrwkl0ym468i830w67qyjrz"))))
+                  "0iqbzgn7gzmgwvjfzifpbwwidxx887qmlgmsjkg7b1yzyfv00l21"))))
       (build-system gnu-build-system)
       (arguments
        `(#:test-target "test"
@@ -1586,6 +1587,8 @@ discrete, and conditional dimensions.")
                               "gst-plugin/Makefile")
                  (("../../tools/portaudio/install")
                   (assoc-ref inputs "portaudio")))
+               (substitute* "matrix/Makefile" ;; temporary test bypass
+                            (("matrix-lib-test sparse-matrix-test") ""))
 
                ;; This `configure' script doesn't support variables passed as
                ;; arguments, nor does it support "prefix".
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 22 Mar 2022 20:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:51:51 2022
Received: from localhost ([127.0.0.1]:41979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlTr-0002WT-CR
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:51:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:58956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nWlTp-0002WI-H2
 for 54507 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:51:50 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id BBF18400D7;
 Tue, 22 Mar 2022 21:51:47 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uJCSdS0O4hzo; Tue, 22 Mar 2022 21:51:46 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647982306; bh=Hntxk3k1yCqF+WS5Dh4oaVoktJP9D7PE2uWokyqXc3E=;
 h=From:To:Cc:Subject:Date;
 b=G+SQFdqf70TULBl9YVmqkt0PobfRKubRMv5LeCW63lBUTWvigLAe+apIJ+OtVM2Py
 y8iqt8cd0RN/qio1cqiYdGKetF4d8bc7yT4bzzQCT4EyXVNLG6LymJyPN43dMLbSD7
 gVH1Ezv8Gv+KzPODLtad/fO0Xh2KxPXVOIDNWEqpzXfDSzga6YuszBO8UhUEQ3QhCn
 TmTHiXtclkK/U0l6LXId9fDUSzjUZ9aDOuxieHUEm4Gk5/Ixhc+1YBhs2Vyn26UtOs
 VgPvLg2fFKVmBZl8tDGoy2P7YX/iUTwMDmURZQogHvqnOzhwB/v+3XE6GwNfkYZhhc
 vj9zaZW7Ct6AA==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH v2 1/2] gnu: openfst: Add 1.7.3 for kaldi
Date: Tue, 22 Mar 2022 20:51:40 +0000
Message-Id: <20220322205141.1784-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Kaldi is currently broken with openfst versions newer than 1.7.3 as it changed
some of its function signatures.

Once Kaldi is patched/fixed, this should be removed.

Reference Issues:
- https://github.com/kaldi-asr/kaldi/issues/4131
- https://github.com/kaldi-asr/kaldi/issues/4393
---
 gnu/packages/machine-learning.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index afac56f..ec70980 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -585,6 +585,19 @@ sample proximities between pairs of cases.")
 optimizing, and searching weighted finite-state transducers (FSTs).")
     (license license:asl2.0)))
 
+;; This is a temporary addition to bypass upstream issues with the kaldi
+;; package.
+(define-public openfst-1.7.3
+  (package (inherit openfst)
+    (version "1.7.3")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "http://www.openfst.org/twiki/pub/FST/"
+                                  "FstDownload/openfst-" version ".tar.gz"))
+              (sha256
+               (base32
+                "038a60w7y8qnbxmcrsim9rafz9mihsny8xv50jpzlr7rl166pp5q"))))))
+
 (define-public shogun
   (package
     (name "shogun")

base-commit: a1632d59529909ab3733772f203e7ea64809b85e
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 21 Mar 2022 17:51:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 13:51:00 2022
Received: from localhost ([127.0.0.1]:38146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWMBI-0006lG-8g
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:51:00 -0400
Received: from knopi.disroot.org ([178.21.23.139]:51748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nWMBG-0006l8-IC
 for 54507 <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:50:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 06E1F4008B
 for <54507 <at> debbugs.gnu.org>; Mon, 21 Mar 2022 18:50:57 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vW3z07835POs for <54507 <at> debbugs.gnu.org>;
 Mon, 21 Mar 2022 18:50:56 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647885055; bh=KKaAwAhW6ZbEH/mi96Eunn/Jqmkjwo4902XXRcIj43I=;
 h=From:To:Subject:Date;
 b=Dw2nXOUeL2uWcKGQQwpx0M07dda4VX7rdaereg0z83Ly48caQ42atdNRIppd597gY
 0i/BM8Dm6/GYBAThfZ5B7sVGiajFXPBQa1/H/LUD7SNw3QoveSYmxlQrvF1aNaG9+1
 gQE1n4Zr9W6vk3kkFwDonvG0zZhsEncL/pIcfFQt+w8om72X0iX7DUhcKFgvgq69hG
 ybyZ8DLMB1eq4n+/VoYnDPKxotoGOhEg5HqBxZBSrQwtW4e/6gonXcwpjPp74qRVoO
 0SX/gnLsHqdWUbzQ/XsTgCajUhCW9BeTGcApEB5ZUxlbE0dER6IIwl/ZUpG78JZhcV
 YK0fOO31GDgNA==
To: 54507 <at> debbugs.gnu.org
Subject: gnu: kaldi: bypass tests
Date: Mon, 21 Mar 2022 17:50:52 +0000
Message-ID: <87ils7p537.fsf@disp3269>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54507
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The bypass of tests also relates to issue #49727




Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at 54507 <at> debbugs.gnu.org:


Received: (at 54507) by debbugs.gnu.org; 21 Mar 2022 17:43:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 13:43:05 2022
Received: from localhost ([127.0.0.1]:38129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWM3c-0006V5-Qf
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:43:05 -0400
Received: from knopi.disroot.org ([178.21.23.139]:43394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nWM3X-0006US-C3
 for 54507 <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:43:03 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7D0E8400BE;
 Mon, 21 Mar 2022 18:42:58 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id RjZ2eMElPqqY; Mon, 21 Mar 2022 18:42:56 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647884575; bh=mXcYEMgWwM+Y1jd2QJaxt4d0sLXiMW41idLMpIvR3E0=;
 h=From:To:Cc:Subject:Date;
 b=JMel0ChL2hUHpXTC3b5dhLVLoyTRU5ARKem39qNEhxYJL9y7yWaBjWy4LyG+NwaZO
 G2tdwsz2FrNJ0FUuMLi5ToeSX8UlSlERKvosof+Bpg5LLxz+ALUBFnmxvbkxd5PMcF
 shaA8q8It/kIFrrpGlBRalDAUC2dHWUwGlwzb1QX0j+wEZecB1t1Ms2G7LQzEc6sWR
 22Z54x2auGfz6Sl+NK8bfgBxVLxKxTA8HB8oh3ZjCMSdDgdSM97tXKMpqJK0kmbpYl
 +weGf/4k5jRbjKmhb958EgvqWsk7fjyBB1YBZxIKRWepWQ78eIqyiUuRormEIncKVQ
 bmj33iKWb8yIA==
To: 54507 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: kaldi: Update to 498b25d, add vector fix patch,
 bypass tests
Date: Mon, 21 Mar 2022 17:42:49 +0000
Message-Id: <20220321174249.2408-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 54507
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The patch is in the process of being upstreamed: https://github.com/kaldi-asr/kaldi/pull/4713

Either kaldi's tests are broken or openblas has reintroduced a bug:
- https://github.com/kaldi-asr/kaldi/pull/4421

More testing & fixes required upstream.
---
 gnu/packages/machine-learning.scm             | 10 ++-
 ...or-casts-by-using-explicit-namespace.patch | 89 +++++++++++++++++++
 2 files changed, 96 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/kaldi-Fix-vector-casts-by-using-explicit-namespace.patch

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index ec70980..ba6a439 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1549,8 +1549,9 @@ discrete, and conditional dimensions.")
 
 ;; There have been no proper releases yet.
 (define-public kaldi
-  (let ((commit "d4791c0f3fc1a09c042dac365e120899ee2ad21e")
-        (revision "2"))
+  (let ((commit "498b25db122ec68a96aee154b9d829030adfae4c")
+        (revision "1")
+        (openfst openfst-1.7.3)) ;; Temporary bypass for upstream issues
     (package
       (name "kaldi")
       (version (git-version "0" revision commit))
@@ -1562,7 +1563,8 @@ discrete, and conditional dimensions.")
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "07k80my6f19mhrkwbzhjsnpf9871wmrwkl0ym468i830w67qyjrz"))))
+                  "06wapq8xkr2xwkj10z70w20437kqjkf6v705z68h78zrgrj9dzj9"))
+                (patches (search-patches "kaldi-Fix-vector-casts-by-using-explicit-namespace.patch"))))
       (build-system gnu-build-system)
       (arguments
        `(#:test-target "test"
@@ -1586,6 +1588,8 @@ discrete, and conditional dimensions.")
                               "gst-plugin/Makefile")
                  (("../../tools/portaudio/install")
                   (assoc-ref inputs "portaudio")))
+               (substitute* "matrix/Makefile" ;; temporary test bypass
+                            (("matrix-lib-test sparse-matrix-test") ""))
 
                ;; This `configure' script doesn't support variables passed as
                ;; arguments, nor does it support "prefix".
diff --git a/gnu/packages/patches/kaldi-Fix-vector-casts-by-using-explicit-namespace.patch b/gnu/packages/patches/kaldi-Fix-vector-casts-by-using-explicit-namespace.patch
new file mode 100644
index 0000000..5bae584
--- /dev/null
+++ b/gnu/packages/patches/kaldi-Fix-vector-casts-by-using-explicit-namespace.patch
@@ -0,0 +1,89 @@
+---
+ src/onlinebin/online-audio-server-decode-faster.cc | 2 +-
+ src/onlinebin/online-gmm-decode-faster.cc          | 4 ++--
+ src/onlinebin/online-server-gmm-decode-faster.cc   | 4 ++--
+ src/onlinebin/online-wav-gmm-decode-faster.cc      | 4 ++--
+ 4 files changed, 7 insertions(+), 7 deletions(-)
+
+diff --git a/src/onlinebin/online-audio-server-decode-faster.cc b/src/onlinebin/online-audio-server-decode-faster.cc
+index ca4bfeb88..e5faf9530 100644
+--- a/src/onlinebin/online-audio-server-decode-faster.cc
++++ b/src/onlinebin/online-audio-server-decode-faster.cc
+@@ -308,7 +308,7 @@ int32 main(int argc, char *argv[]) {
+         } else {
+           std::vector<int32> word_ids;
+           if (decoder.PartialTraceback(&out_fst)) {
+-            GetLinearSymbolSequence(out_fst, static_cast<vector<int32> *>(0),
++            GetLinearSymbolSequence(out_fst, static_cast<std::vector<int32> *>(0),
+                                     &word_ids,
+                                     static_cast<LatticeArc::Weight*>(0));
+             for (size_t i = 0; i < word_ids.size(); i++) {
+diff --git a/src/onlinebin/online-gmm-decode-faster.cc b/src/onlinebin/online-gmm-decode-faster.cc
+index 46904dbc5..74f381658 100644
+--- a/src/onlinebin/online-gmm-decode-faster.cc
++++ b/src/onlinebin/online-gmm-decode-faster.cc
+@@ -166,7 +166,7 @@ int main(int argc, char *argv[]) {
+         std::vector<int32> word_ids;
+         decoder.FinishTraceBack(&out_fst);
+         fst::GetLinearSymbolSequence(out_fst,
+-                                     static_cast<vector<int32> *>(0),
++                                     static_cast<std::vector<int32> *>(0),
+                                      &word_ids,
+                                      static_cast<LatticeArc::Weight*>(0));
+         PrintPartialResult(word_ids, word_syms, partial_res || word_ids.size());
+@@ -181,7 +181,7 @@ int main(int argc, char *argv[]) {
+         std::vector<int32> word_ids;
+         if (decoder.PartialTraceback(&out_fst)) {
+           fst::GetLinearSymbolSequence(out_fst,
+-                                       static_cast<vector<int32> *>(0),
++                                       static_cast<std::vector<int32> *>(0),
+                                        &word_ids,
+                                        static_cast<LatticeArc::Weight*>(0));
+           PrintPartialResult(word_ids, word_syms, false);
+diff --git a/src/onlinebin/online-server-gmm-decode-faster.cc b/src/onlinebin/online-server-gmm-decode-faster.cc
+index 80973bf07..9840c0f88 100644
+--- a/src/onlinebin/online-server-gmm-decode-faster.cc
++++ b/src/onlinebin/online-server-gmm-decode-faster.cc
+@@ -179,7 +179,7 @@ int main(int argc, char *argv[]) {
+       if (dstate & (decoder.kEndFeats | decoder.kEndUtt)) {
+         decoder.FinishTraceBack(&out_fst);
+         fst::GetLinearSymbolSequence(out_fst,
+-                                     static_cast<vector<int32> *>(0),
++                                     static_cast<std::vector<int32> *>(0),
+                                      &word_ids,
+                                      static_cast<LatticeArc::Weight*>(0));
+         SendPartialResult(word_ids, word_syms, partial_res || word_ids.size(),
+@@ -188,7 +188,7 @@ int main(int argc, char *argv[]) {
+       } else {
+         if (decoder.PartialTraceback(&out_fst)) {
+           fst::GetLinearSymbolSequence(out_fst,
+-                                       static_cast<vector<int32> *>(0),
++                                       static_cast<std::vector<int32> *>(0),
+                                        &word_ids,
+                                        static_cast<LatticeArc::Weight*>(0));
+           SendPartialResult(word_ids, word_syms, false,
+diff --git a/src/onlinebin/online-wav-gmm-decode-faster.cc b/src/onlinebin/online-wav-gmm-decode-faster.cc
+index fe7c6d6b9..ca482934d 100644
+--- a/src/onlinebin/online-wav-gmm-decode-faster.cc
++++ b/src/onlinebin/online-wav-gmm-decode-faster.cc
+@@ -196,7 +196,7 @@ int main(int argc, char *argv[]) {
+           std::vector<int32> word_ids;
+           decoder.FinishTraceBack(&out_fst);
+           fst::GetLinearSymbolSequence(out_fst,
+-                                       static_cast<vector<int32> *>(0),
++                                       static_cast<std::vector<int32> *>(0),
+                                        &word_ids,
+                                        static_cast<LatticeArc::Weight*>(0));
+           PrintPartialResult(word_ids, word_syms, partial_res || word_ids.size());
+@@ -220,7 +220,7 @@ int main(int argc, char *argv[]) {
+           std::vector<int32> word_ids;
+           if (decoder.PartialTraceback(&out_fst)) {
+             fst::GetLinearSymbolSequence(out_fst,
+-                                        static_cast<vector<int32> *>(0),
++                                        static_cast<std::vector<int32> *>(0),
+                                         &word_ids,
+                                         static_cast<LatticeArc::Weight*>(0));
+             PrintPartialResult(word_ids, word_syms, false);
+-- 
+2.30.2
+
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2022 17:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 13:40:14 2022
Received: from localhost ([127.0.0.1]:38119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWM0s-0006Pb-4d
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:40:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:40390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rind38@HIDDEN>) id 1nWM0q-0006PT-AG
 for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 13:40:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51080)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rind38@HIDDEN>)
 id 1nWM0o-00088i-2B
 for guix-patches@HIDDEN; Mon, 21 Mar 2022 13:40:11 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57346)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rind38@HIDDEN>)
 id 1nWM0m-0005Qo-F3
 for guix-patches@HIDDEN; Mon, 21 Mar 2022 13:40:09 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 51BEE40072;
 Mon, 21 Mar 2022 18:40:06 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id EHyiYvK3Vz9T; Mon, 21 Mar 2022 18:40:05 +0100 (CET)
From: Aurora <rind38@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1647884404; bh=Hntxk3k1yCqF+WS5Dh4oaVoktJP9D7PE2uWokyqXc3E=;
 h=From:To:Cc:Subject:Date;
 b=iCJ49NyZmOOhJcCzpCfXP0TExS+rqiP8WvbduWFpTeqhq+hud1JM64iKLQMQVTXoD
 Mb/hI/f4/jryV2Tz+ybZYx+Jj66AhbMuFOz+J3wTftjulwPhamk/WSGwPdnxf44KGn
 mRpGQUoqON8NICCsLAUIKBKwi1+mPeCLq/d4Z5k20a5D6bXn/v3TDrgK4aEUPBJTNW
 wxAg8gBU0Rf1sfRpi2B2fAe5qaztUyNLaXKMu8f7gjkrsdhsJAF05Mdp+vnghN6X1L
 udVjxMHBrzcVvYjudNXt5mbzjrBq2M2yDJDYX4wbW1Fpreu2zTMfw14ETNrhBkQgic
 oJjtPcSTXfTSQ==
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: openfst: Add 1.7.3 for kaldi
Date: Mon, 21 Mar 2022 17:39:42 +0000
Message-Id: <20220321173942.2206-1-rind38@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=178.21.23.139; envelope-from=rind38@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Aurora <rind38@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Kaldi is currently broken with openfst versions newer than 1.7.3 as it changed
some of its function signatures.

Once Kaldi is patched/fixed, this should be removed.

Reference Issues:
- https://github.com/kaldi-asr/kaldi/issues/4131
- https://github.com/kaldi-asr/kaldi/issues/4393
---
 gnu/packages/machine-learning.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index afac56f..ec70980 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -585,6 +585,19 @@ sample proximities between pairs of cases.")
 optimizing, and searching weighted finite-state transducers (FSTs).")
     (license license:asl2.0)))
 
+;; This is a temporary addition to bypass upstream issues with the kaldi
+;; package.
+(define-public openfst-1.7.3
+  (package (inherit openfst)
+    (version "1.7.3")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "http://www.openfst.org/twiki/pub/FST/"
+                                  "FstDownload/openfst-" version ".tar.gz"))
+              (sha256
+               (base32
+                "038a60w7y8qnbxmcrsim9rafz9mihsny8xv50jpzlr7rl166pp5q"))))))
+
 (define-public shogun
   (package
     (name "shogun")

base-commit: a1632d59529909ab3733772f203e7ea64809b85e
-- 
2.30.2





Acknowledgement sent to Aurora <rind38@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54507; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 May 2022 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.